Linux Kernel bis 5.3.10 USB Device mcba_usb.c Pufferüberlauf

CVSS Meta Temp ScoreAktueller Exploitpreis (≈)CTI Interest Score
4.3$0-$5k0.00

Eine Schwachstelle wurde in Linux Kernel bis 5.3.10 (Operating System) entdeckt. Sie wurde als kritisch eingestuft. Es geht hierbei um eine unbekannte Funktionalität der Datei drivers/net/can/usb/mcba_usb.c der Komponente USB Device Handler. Mit der Manipulation mit einer unbekannten Eingabe kann eine Pufferüberlauf-Schwachstelle ausgenutzt werden. Klassifiziert wurde die Schwachstelle durch CWE als CWE-416. Auswirkungen hat dies auf Vertraulichkeit, Integrität und Verfügbarkeit. Die Zusammenfassung von CVE lautet:

In the Linux kernel before 5.3.11, there is a use-after-free bug that can be caused by a malicious USB device in the drivers/net/can/usb/mcba_usb.c driver, aka CID-4d6636498c41.

Die Schwachstelle wurde am 03.12.2019 (oss-sec) herausgegeben. Bereitgestellt wird das Advisory unter openwall.com. Die Verwundbarkeit wird seit dem 03.12.2019 mit der eindeutigen Identifikation CVE-2019-19529 gehandelt. Umgesetzt werden muss der Angriff lokal. Das Ausnutzen erfordert keine spezifische Authentisierung. Zur Schwachstelle sind technische Details bekannt, ein verfügbarer Exploit jedoch nicht.

Ein Aktualisieren auf die Version 5.3.11 vermag dieses Problem zu lösen.

Produktinfo

Typ

Hersteller

Name

Version

Lizenz

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Zuverlässigkeit: 🔍

CVSSv3info

VulDB Meta Base Score: 4.4
VulDB Meta Temp Score: 4.3

VulDB Base Score: 4.3
VulDB Temp Score: 4.1
VulDB Vector: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 4.6
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VektorKomplexitätAuthentisierungVertraulichkeitIntegritätVerfügbarkeit
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 🔍

Exploitinginfo

Klasse: Pufferüberlauf
CWE: CWE-416 / CWE-119
CAPEC: 🔍
ATT&CK: 🔍

Lokal: Ja
Remote: Nein

Verfügbarkeit: 🔍
Status: Nicht definiert

EPSS Score: 🔍
EPSS Percentile: 🔍

Preisentwicklung: 🔍
Aktuelle Preisschätzung: 🔍

0-Dayfreischaltenfreischaltenfreischaltenfreischalten
Heutefreischaltenfreischaltenfreischaltenfreischalten

Threat Intelligenceinfo

Interesse: 🔍
Aktive Akteure: 🔍
Aktive APT Gruppen: 🔍

Gegenmassnahmeninfo

Empfehlung: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: Kernel 5.3.11
Patch: git.kernel.org

Timelineinfo

03.12.2019 🔍
03.12.2019 +0 Tage 🔍
04.12.2019 +1 Tage 🔍
07.03.2024 +1555 Tage 🔍

Quelleninfo

Hersteller: kernel.org

Advisory: USN-4225-1
Status: Nicht definiert

CVE: CVE-2019-19529 (🔍)

Eintraginfo

Erstellt: 04.12.2019 09:57
Aktualisierung: 07.03.2024 07:12
Anpassungen: 04.12.2019 09:57 (42), 04.12.2019 10:02 (18), 07.03.2024 07:12 (5)
Komplett: 🔍
Cache ID: 100:477:40

Diskussion

Bisher keine Kommentare. Sprachen: de + en.

Bitte loggen Sie sich ein, um kommentieren zu können.

Are you interested in using VulDB?

Download the whitepaper to learn more about our service!